import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: '대시보드',
    translate: 'NAV.DASHBOARD',
    type: 'item',
    icon: 'dashboard',
    url: '/dashboard'
  },
  {
    id: 'users',
    title: '회원 관리',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'user_list',
        title: '회원 리스트',
        translate: 'NAV.USER_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/list',
        exactMatch: true
      },
      {
        id: 'user_connect_list',
        title: '현재접속자',
        translate: 'NAV.USER_CONNECT_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/connect',
        exactMatch: true
      },
      {
        id: 'user_regist',
        title: '회원가입',
        translate: 'NAV.USER_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/regist'
      },
      {
        id: 'user_fees_management',
        title: '커미션 설정',
        translate: 'NAV.USER_FEES_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/fees'
      },
      {
        id: 'user_attendance_management',
        title: '출석관리',
        translate: 'NAV.USER_ATTENDANCE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/attendance'
      }
    ]
  },
  {
    id: 'gameManagement',
    title: '게임관리',
    translate: 'NAV.GAME_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'sportResultManagement',
        title: '결과입력 및 수정',
        translate: 'NAV.SPORT_RESULT_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-result',
      },
      {
        id: 'sportMixManagement',
        title: '스포츠 조합설정',
        translate: 'NAV.SPORT_MIX_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-mix',
      },
      {
        id: 'miniGame',
        title: '미니게임',
        translate: 'NAV.MINI_GAME.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game',
      },
      {
        id: 'miniGameManagement',
        title: '미니게임 관리',
        translate: 'NAV.MINI_GAME_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game-settings',
      },
      {
        id: 'excelRegist',
        title: '엑셀등록',
        translate: 'NAV.EXCEL_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/excel-regist',
      },
      {
        id: 'betHistory',
        title: '배팅내역',
        translate: 'NAV.BET_HISTORY.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/bet-history',
      },
      {
        id: 'settlement',
        title: '정산하기',
        translate: 'NAV.SETTLEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/settlement',
      },
      {
        id: 'itemManagement',
        title: '종목관리',
        translate: 'NAV.ITEM_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/item-management',
      },
      {
        id: 'leagueManagement',
        title: '리그관리',
        translate: 'NAV.LEAGUE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/league-management',
      },
      {
        id: 'exceptAutoRegist',
        title: '자동등록 제외',
        translate: 'NAV.EXCEPT_AUTO_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management//except-auto-regist',
      }
    ]
  },
  {
    id: 'depositManagemnet',
    title: '입출금관리',
    translate: 'NAV.DEPOSIT_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  }
];
